> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v3.0/wisej.web/editors/timeupdown.md).

# TimeUpDown

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [UpDownBase](/api/v3.0/wisej.web/editors/wisej.web.updownbase.md)
    * [TimeUpDown](/api/v3.0/wisej.web/editors/timeupdown.md)

Represents a spinner control that displays [TimeSpan](https://docs.microsoft.com/en-us/dotnet/api/system.timespan) values.

{% tabs %}
{% tab title="C#" %}

```csharp
public class TimeUpDown : UpDownBase, ISupportInitialize, INotifyPropertyChanged
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TimeUpDown
    Inherits UpDownBase
    Implements ISupportInitialize, INotifyPropertyChanged
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)TimeUpDown()

Initializes a new instance of the [TimeUpDown](/api/v3.0/wisej.web/editors/timeupdown.md) class.

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)Format

[TimeUpDownFormat](/api/v3.0/wisej.web/editors/timeupdown/wisej.web.timeupdownformat.md): Returns or sets the format use to display and parse the time value.

### ![](/files/uCY6T77rh488FWHzpJ6P)Maximum

[TimeSpan](https://docs.microsoft.com/en-us/dotnet/api/system.timespan): Returns or sets the maximum value for the time editor.

### ![](/files/uCY6T77rh488FWHzpJ6P)Minimum

[TimeSpan](https://docs.microsoft.com/en-us/dotnet/api/system.timespan): Returns or sets the minimum allowed value for time editor.

### ![](/files/uCY6T77rh488FWHzpJ6P)NullableValue

[Nullable\<TimeSpan>](https://docs.microsoft.com/en-us/dotnet/api/system.nullable): Returns or sets the [Value](#value) assigned to the spin box (also known as an up-down control) with the difference that when the text is empty it returns null.

This property should be used when the [TimeUpDown](/api/v3.0/wisej.web/editors/timeupdown.md) may hold a null value and it's bound to a database nullable column. **Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) The assigned value is less than the [Minimum](#minimum) property value; or the assigned value is greater than the [Maximum](#maximum) property value.

### ![](/files/uCY6T77rh488FWHzpJ6P)Text

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the text to be displayed in the [TimeUpDown](/api/v3.0/wisej.web/editors/timeupdown.md) control.

### ![](/files/uCY6T77rh488FWHzpJ6P)Value

[TimeSpan](https://docs.microsoft.com/en-us/dotnet/api/system.timespan): Returns or sets the value assigned to the [TimeUpDown](/api/v3.0/wisej.web/editors/timeupdown.md) editor.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) The assigned value is less than the [Minimum](#minimum) property value; or the assigned value is greater than the [Maximum](#maximum) property value.

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)ValueChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the [Value](#value) property has been changed in some way.

## Implements

| Name                                                                                   | Description                                                                                                                                               |
| -------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                                                             |
| [ILabel](/api/v3.0/wisej.web/interfaces/wisej.web.ilabel.md)                           | Provides access to the [LabelWrapper](/api/v3.0/wisej.web/editors/wisej.web.labelwrapper.md) associated with the controls that implement this interface.  |
| [IReadOnly](/api/v3.0/wisej.web/interfaces/wisej.web.ireadonly.md)                     | Provides access to the [ReadOnly](/api/v3.0/wisej.web/interfaces/wisej.web.ireadonly.md#readonly) property for coontrols that support the read-only mode. |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                                                            |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface.                                |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/editors/timeupdown.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
